Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037934
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2018-02-15 14:282018-03-02 21:18
ReporternitasujenaView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisionda52de15f453
ProjectionnoneETAnoneTarget Version3.0PR17Q3.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037934: G/l item drop down in add details popup showing different in payment in and in transaction window of financial account.

DescriptionWhen in "add detail" popup in payment in window,we are trying to add details,
in G/L drop down showing multiple accounts.
Ex:if we added two records in G/L window named "PF Payable" for 2 different organizations.
Then we will create a record in "payment in "window.After trying to add details at that time in G/L items drop down showing me two records for "PF payable"
Steps To Reproduce1.Go to https://livebuilds.openbravo.com/retail_mp_3.0RR17Q3.3/security/Login [^]
2.Then go to G/L Item window
3.Add PF payable for Central Mountains Store and Vall Blanca Store.
4.Go to Payment in window,create a payment for Central Mountains Store and then click on add details.
5.click on g/l item
6.create new g/l item
7. type "PF" in g/litem filer

It will show two records.

Now Go to Financial Account,
1.Go to transaction tab
2.Add payment by click on '+'
3.There in add details popup,if you check the same ,it will show one record.



Proposed SolutionGLItemSelectorFilterExpression adds where clause for organizarion in GL Item selector only in case of Financial Account window.

There are other windows using same class GLItemSelectorFilterExpression as filter expression i.e Sales / Purchase Invoice - Add Payment, Sales / Purchase Order - Add Payment, Payment In / Out - Add Details, etc. In this case no filter for organization is added. Hence all GL Items (defined outside natural tree of transactional organization) are shown in the list.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0102878)
AtulOpenbravo (developer)
2018-02-28 18:26

Test Plan

- Login and F&B International Group Admin.
- Navigate to G/L Item window.
- Add record
  - Name "PF payable ES" in F&B Espana Organization.
  - Name "PF Payable US" in F&B US Inc Organization,
  - Name "PF Payable" in F&B International Group Organization.

- Navigate to Payment in window, Create a payment in F&B Espana Organization and then click on add details.
- In G/L Item section, Add new.
- In G/L Item selector it shows newly created G/L Item with name
  ** PF Payable ES
  ** PF Payable
and PF Payable US does not appear in the list. This is correct.

- Navigate to Financial Account:-
- Select record with name "Cuenta de Banco".
- Add Transaction.
- In G/L Item selector it shows newly created G/L Item with name
  ** PF Payable ES
  ** PF Payable
and PF Payable US does not appear in the list. This is correct.

- Add Transaction and click on Payment Selector + button.
- In G/L Item section, Add new.
- In G/L Item selector it shows newly created G/L Item with name
  ** PF Payable ES
  ** PF Payable
and PF Payable US does not appear in the list. This is correct.
(0102879)
AtulOpenbravo (developer)
2018-02-28 18:28
edited on: 2018-02-28 19:12

- Similar tests could be performed in Sales Invoice / Purchase Invoice - Add Payment button process.
- Similar test could be performed in Sales Order / Purchase Order - Add Payment button process.
- Similar test could be performed in Payment Out - Add Details process, Financial Account > Match Statement > Match + button > Add new transaction > Payment Selector + button.

(0102916)
hgbot (developer)
2018-03-02 12:55

Repository: erp/devel/pi
Changeset: da52de15f4538985968748c3d9d6b8147234986d
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Feb 28 23:31:15 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/da52de15f4538985968748c3d9d6b8147234986d [^]

Fixes Issue 0037934: G/l item drop down in add details popup showing
different in payment in and in transaction window of financial account.

Implement orgnization where clause for GL Item selection not only
in financial account window but also other window for eg:-
Sales/Purchase Order, Sales/Purchase Invoice, Payment In/Out, etc

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/GLItemSelectorFilterExpression.java
---
(0102917)
hgbot (developer)
2018-03-02 12:55

Repository: erp/devel/pi
Changeset: 0ded97bd7628392d46fddb8795a495dee7ed1aa5
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Mar 02 12:54:55 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0ded97bd7628392d46fddb8795a495dee7ed1aa5 [^]

Related to Issue 37934. Code Revie changes.

Return empty String instead of null to preserve previous behavior.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/GLItemSelectorFilterExpression.java
---
(0102918)
dmiguelez (developer)
2018-03-02 12:56

Code Review + Testing Ok
(0102962)
hudsonbot (developer)
2018-03-02 21:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/05dece3dc80b [^]
Maturity status: Test
(0102963)
hudsonbot (developer)
2018-03-02 21:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/05dece3dc80b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-15 14:28 nitasujena New Issue
2018-02-15 14:28 nitasujena Assigned To => Triage Finance
2018-02-15 14:28 nitasujena Modules => Core
2018-02-15 14:28 nitasujena Triggers an Emergency Pack => No
2018-02-15 17:26 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-02-28 13:52 AtulOpenbravo Status new => scheduled
2018-02-28 18:26 AtulOpenbravo Note Added: 0102878
2018-02-28 18:28 AtulOpenbravo Note Added: 0102879
2018-02-28 18:33 AtulOpenbravo Proposed Solution updated
2018-02-28 19:12 AtulOpenbravo Note Edited: 0102879 View Revisions
2018-03-02 12:55 hgbot Checkin
2018-03-02 12:55 hgbot Note Added: 0102916
2018-03-02 12:55 hgbot Status scheduled => resolved
2018-03-02 12:55 hgbot Resolution open => fixed
2018-03-02 12:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/da52de15f4538985968748c3d9d6b8147234986d [^]
2018-03-02 12:55 hgbot Checkin
2018-03-02 12:55 hgbot Note Added: 0102917
2018-03-02 12:56 dmiguelez Review Assigned To => dmiguelez
2018-03-02 12:56 dmiguelez Note Added: 0102918
2018-03-02 12:56 dmiguelez Status resolved => closed
2018-03-02 12:56 dmiguelez Fixed in Version => 3.0PR18Q2
2018-03-02 21:18 hudsonbot Checkin
2018-03-02 21:18 hudsonbot Note Added: 0102962
2018-03-02 21:18 hudsonbot Checkin
2018-03-02 21:18 hudsonbot Note Added: 0102963


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker